import logging
import omni.usd

from pxr import UsdGeom, Gf


class Tool():
    def __init__(self):
        self.count = 0
        self.logger = logging.getLogger(__name__)
        self.stage = None

        self.logger.info("startup")    

    def add_cube(self):
        self.get_stage()
        self.count += 1
        _offset_x = (self.count * 20) + 20
        _cube_path = "/World/Cube_" + str(self.count)
        self.logger.info("add cube at " + _cube_path)
        cubeGeom = UsdGeom.Cube.Define(self.stage, _cube_path)
        cubeGeom.CreateSizeAttr(10)
        cubeGeom.AddTranslateOp().Set(Gf.Vec3d(10, 0 + _offset_x, 0))
        return self.count

    def get_stage(self):
        if not self.stage:
            self.stage = omni.usd.get_context().get_stage()
