# NOTE:
#   omni.kit.test - std python's unittest module with additional wrapping to add suport for async/await tests
#   For most things refer to unittest docs: https://docs.python.org/3/library/unittest.html
import omni.kit.test

# Extnsion for writing UI tests (simulate UI interaction)
# import omni.kit.ui_test as ui_test

# Import extension python module we are testing with absolute import path, as if we are external user (other extension)
import company.hello.world


# Having a test class dervived from omni.kit.test.AsyncTestCase declared on the root of module will make it 
# auto-discoverable by omni.kit.test
class Test(omni.kit.test.AsyncTestCase):
    # Before running each test
    async def setUp(self):
        usd_context = omni.usd.get_context()
        await usd_context.new_stage_async()

    # After running each test
    async def tearDown(self):
        usd_context = omni.usd.get_context()
        await usd_context.close_stage_async()

    # Actual test, notice it is "async" function, so "await" can be used if needed
    async def test_api_test(self):
        result = company.hello.world.tool.add_cube()
        self.assertEqual(result, 1)
